> ## Documentation Index
> Fetch the complete documentation index at: https://developer.arltechgroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Customer

> Creates a User, Account, Customer, and CustomerDeal in a single transaction. The deal starts with status `LOCKED`.



## OpenAPI

````yaml POST /finance/customers/register
openapi: 3.1.0
info:
  title: EasyOwn Finance API
  description: >-
    PayGo financing platform API — manage customers, deals, payments, devices,
    and collections.
  version: 2.0.0
  contact:
    name: EasyOwn Support
    email: support@easyown.ug
servers:
  - url: https://api.arltechgroup.com
    description: Production
  - url: https://developer-uat.arltechgroup.com
    description: UAT
security:
  - JWTAuth: []
tags:
  - name: Customers
    description: Customer registration, approval, and profile management
  - name: Deals
    description: Financing deal catalogue and assignment
  - name: Payments
    description: Manual payments, stats, and reconciliation
  - name: Airtel Money
    description: Inbound Airtel Money callbacks and lookup tools
  - name: Inventory
    description: Device stock management
  - name: Device / PAYG
    description: IMEI enrollment, locking, unlocking, and PayGo sync
  - name: Collections
    description: Overdue accounts and receivable call generation
  - name: Contracts
    description: Portfolio management and repossession
  - name: Feedback
    description: Client feedback from PT Interface
  - name: Accounts & Users
    description: Platform accounts and user management
paths:
  /finance/customers/register:
    post:
      tags:
        - Customers
      summary: Register a new customer
      description: >-
        Creates a User, Account, Customer, and CustomerDeal in a single
        transaction. The deal starts with status `LOCKED`.
      operationId: registerCustomer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - fullname
                - telephone
                - dealid
                - deposit
                - guarantorname
                - guarantorcontact
                - imei
                - payg
              properties:
                fullname:
                  type: string
                  example: Eric Nanduhu
                telephone:
                  type: string
                  example: '0786038292'
                dealid:
                  type: integer
                  example: 176
                deposit:
                  type: number
                  example: 550000
                guarantorname:
                  type: string
                  example: Mwesigwa Julius
                guarantorcontact:
                  type: string
                  example: '0786038292'
                imei:
                  type: string
                  example: '351920920269424'
                payg:
                  type: string
                  example: DFVCXG6R
      responses:
        '200':
          description: Customer registered successfully
          content:
            application/json:
              example:
                message: Customer registered successfully
                customerid: 663
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    Unauthorized:
      description: Missing or invalid JWT token
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            message: No token provided.
  schemas:
    Error:
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    JWTAuth:
      type: apiKey
      in: header
      name: x-access-token
      description: JWT token obtained from `POST /api/auth/signin`

````